diff -r -c ../ingres.ptf/source/iutil/lock.c source/iutil/lock.c
*** ../ingres.ptf/source/iutil/lock.c	Mon Nov 16 14:38:40 1992
--- source/iutil/lock.c	Mon Oct 19 18:22:20 1992
***************
*** 10,15 ****
--- 10,17 ----
  
  SCCSID(@(#)lock.c	8.2	5/1/86)
  
+ int  start_up_lock_driver();
+ 
  /*
  ** start_up_lock_driver
  **	Attempt to start up a connection to the lock driver.
***************
*** 25,30 ****
--- 27,33 ----
  ** Trace Flags
  **	28
  */
+ int
  start_up_lock_driver()
  {
  	struct	sockaddr_in	addr;		/* address to attach to for server */
***************
*** 65,71 ****
  	/*
  	** Connect to the lock_driver
  	*/
! 	if ( connect(to_driver,&addr,sizeof (addr)) == -1 )
  	{
  #	ifdef xATR1
  		if ( tTf(28,4) )
--- 68,74 ----
  	/*
  	** Connect to the lock_driver
  	*/
! 	if ( connect(to_driver, (struct sockaddr *)&addr, sizeof (addr)) == -1 )
  	{
  #	ifdef xATR1
  		if ( tTf(28,4) )
***************
*** 74,85 ****
  		close(to_driver);
  		return ( -1 );
  	}
- 
- 
  	return ( to_driver );
  }/* start_up_lock_driver */
  
  
  struct servent *
  getservbyname(name, proto)
  	char *name, *proto;
--- 77,87 ----
  		close(to_driver);
  		return ( -1 );
  	}
  	return ( to_driver );
  }/* start_up_lock_driver */
  
  
+ /*   ---- deleted by  K.Okamoto  -------------
  struct servent *
  getservbyname(name, proto)
  	char *name, *proto;
***************
*** 102,104 ****
--- 104,109 ----
  	endservent();
  	return (p);
  }
+ 
+ -----------deleted by K.Okamoto  ------------------
+ */
\ No newline at end of file
diff -r -c ../ingres.ptf/source/iutil/lockreq.c source/iutil/lockreq.c
*** ../ingres.ptf/source/iutil/lockreq.c	Mon Nov 16 14:38:48 1992
--- source/iutil/lockreq.c	Mon Oct 19 18:21:40 1992
***************
*** 1,5 ****
  #include <ingres.h>
! #include "ildr.h"
  #include <lock.h>
  #include <sccs.h>
  #include <signal.h>
--- 1,5 ----
  #include <ingres.h>
! #include <ildr.h>
  #include <lock.h>
  #include <sccs.h>
  #include <signal.h>
***************
*** 6,11 ****
--- 6,13 ----
  
  SCCSID(%W%	%G%)
  
+ int   dolock();
+ 
  /*
   *	LOCKREQ.C
   *
***************
*** 16,21 ****
--- 18,25 ----
  
  static	int	pid;
  
+ 
+ int
  dolock(lock)
  struct	lockreq	*lock;
  {
diff -r -c ../ingres.ptf/source/iutil/null_fn.c source/iutil/null_fn.c
*** ../ingres.ptf/source/iutil/null_fn.c	Mon Nov 16 14:38:47 1992
--- source/iutil/null_fn.c	Mon Oct 19 18:23:04 1992
***************
*** 62,68 ****
  **		Do not use this routine if you want to do something.
  */
  
  null_fn()
  {
- 	return (0);
  }
--- 62,68 ----
  **		Do not use this routine if you want to do something.
  */
  
+ void
  null_fn()
  {
  }
diff -r -c ../ingres.ptf/source/iutil/page.c source/iutil/page.c
*** ../ingres.ptf/source/iutil/page.c	Mon Nov 16 14:38:47 1992
--- source/iutil/page.c	Sat Sep 19 18:31:43 1992
***************
*** 6,11 ****
--- 6,14 ----
  
  SCCSID(@(#)page.c	8.3	2/8/85)
  
+ extern struct accbuf	*choose_buf();
+ 
+ 
  /*
  **	UNIX read/write counters
  */
***************
*** 34,39 ****
--- 37,43 ----
  **		scan_dups()
  **
  */
+ int
  get_page(d, tid)
  register DESC	*d;
  TID		*tid;
***************
*** 43,50 ****
  	register struct accbuf	*b;
  	struct accbuf		*b1;
  	int			lk;		/* lock condition*/
- 	extern struct accbuf	*choose_buf();
- 	extern long		lseek();
  
  #	ifdef xATR3
  	if (tTf(26, 9))
--- 47,52 ----
***************
*** 63,68 ****
--- 65,71 ----
  	{
  		if (i = pageflush(b))
  			return (i);
+ 
  #		ifdef xATR1
  		if (tTf(26, 10))
  		{
diff -r -c ../ingres.ptf/source/iutil/printup.c source/iutil/printup.c
*** ../ingres.ptf/source/iutil/printup.c	Mon Nov 16 14:38:42 1992
--- source/iutil/printup.c	Fri Oct  9 13:52:05 1992
***************
*** 124,130 ****
  		switch (length)
  		{
  		  case 4:
! 			ftoa(value->f4type, buf, Out_arg.f4width, Out_arg.f4prec, Out_arg.f4style);
  			printfatt(Out_arg.f4width, buf);
  			break;
  
--- 124,132 ----
  		switch (length)
  		{
  		  case 4:
! 		        dbl = (double) value->f4type;
! 
! 			ftoa(dbl, buf, Out_arg.f4width, Out_arg.f4prec, Out_arg.f4style);
  			printfatt(Out_arg.f4width, buf);
  			break;
  
diff -r -c ../ingres.ptf/source/iutil/replace.c source/iutil/replace.c
*** ../ingres.ptf/source/iutil/replace.c	Mon Nov 16 14:38:47 1992
--- source/iutil/replace.c	Thu Sep 17 14:11:36 1992
***************
*** 47,53 ****
  **		24.4-7
  */
  
! 
  replace(d, tid, tuple, checkdups)	
  register DESC	*d;
  register TID	*tid;
--- 47,53 ----
  **		24.4-7
  */
  
! int
  replace(d, tid, tuple, checkdups)	
  register DESC	*d;
  register TID	*tid;
diff -r -c ../ingres.ptf/source/iutil/rub.c source/iutil/rub.c
*** ../ingres.ptf/source/iutil/rub.c	Mon Nov 16 14:38:47 1992
--- source/iutil/rub.c	Mon Jun  8 17:48:13 1992
***************
*** 42,47 ****
--- 42,48 ----
  char	*RubWhy;	/* why are interrupts disabled */
  int	RubGot;		/* set if we have an unprocessed interrupt */
  
+ void
  rubcatch()
  {
  	/* ignore interrupts while we are processing */
diff -r -c ../ingres.ptf/source/iutil/utility.c source/iutil/utility.c
*** ../ingres.ptf/source/iutil/utility.c	Mon Nov 16 14:38:40 1992
--- source/iutil/utility.c	Mon Sep 21 19:13:03 1992
***************
*** 25,31 ****
  
  struct lpage
  {
! # ifdef VAX
  	char	lpg2, lpg1, lpg0, lpgx;
  # else
  	char	lpgx, lpg0, lpg1, lpg2;
--- 25,31 ----
  
  struct lpage
  {
! # ifdef VAX     /* also for i386  by  K.Okamoto  */
  	char	lpg2, lpg1, lpg0, lpgx;
  # else
  	char	lpgx, lpg0, lpg1, lpg2;
diff -r -c ../ingres.ptf/source/libq/IIingres.c source/libq/IIingres.c
*** ../ingres.ptf/source/libq/IIingres.c	Mon Nov 16 14:38:50 1992
--- source/libq/IIingres.c	Tue Sep 15 12:26:07 1992
***************
*** 39,46 ****
  	register char	*cp;
  	char		*argv[12];
  	register char	**ap;
! 	extern		IIresync();
! 	extern		*(IIinterrupt)(),	exit();
  	pb_t		pb;
  
  #	ifdef xETR1
--- 39,46 ----
  	register char	*cp;
  	char		*argv[12];
  	register char	**ap;
! 	extern	void	IIresync();
! 	extern	void	*(IIinterrupt)(),	exit();
  	pb_t		pb;
  
  #	ifdef xETR1
diff -r -c ../ingres.ptf/source/libq/IIresync.c source/libq/IIresync.c
*** ../ingres.ptf/source/libq/IIresync.c	Mon Nov 16 14:38:52 1992
--- source/libq/IIresync.c	Tue Sep 15 12:15:45 1992
***************
*** 15,23 ****
  */
  
  int	IISyncs[CM_MAXPROC];
! extern	exit();
! int	(*IIinterrupt)() =	exit;
  
  IIresync()
  {
  	register int	i;
--- 15,24 ----
  */
  
  int	IISyncs[CM_MAXPROC];
! extern	void  exit();
! void	(*IIinterrupt)() =	exit;
  
+ void
  IIresync()
  {
  	register int	i;
diff -r -c ../ingres.ptf/source/libq/Makefile source/libq/Makefile
*** ../ingres.ptf/source/libq/Makefile	Mon Nov 16 14:38:49 1992
--- source/libq/Makefile	Wed Oct  7 19:48:15 1992
***************
*** 4,10 ****
  #	@(#)Makefile	8.3	12/18/85
  #
  
! INGRES=	../..
  H=	../h
  LIB=	$(INGRES)/lib
  
--- 4,10 ----
  #	@(#)Makefile	8.3	12/18/85
  #
  
! INGRES=	/usr/ingres
  H=	../h
  LIB=	$(INGRES)/lib
  
***************
*** 25,35 ****
  
  SYSLIB=	/usr/local/lib
  
! CFLAGS=	-I$H -I../ctlmod -O
  LINTFLAGS= -huc -I$H -I../ctlmod
  AR=	-ar
  ARFLAGS=rvu
- RANLIB=	ranlib
  CP=	cp
  CHMOD=	chmod
  CHOWN=	-chown
--- 25,34 ----
  
  SYSLIB=	/usr/local/lib
  
! CFLAGS=	-O -I$H -I../ctlmod
  LINTFLAGS= -huc -I$H -I../ctlmod
  AR=	-ar
  ARFLAGS=rvu
  CP=	cp
  CHMOD=	chmod
  CHOWN=	-chown
diff -r -c ../ingres.ptf/source/monitor/Makefile source/monitor/Makefile
*** ../ingres.ptf/source/monitor/Makefile	Mon Nov 16 14:38:36 1992
--- source/monitor/Makefile	Thu Oct  1 16:16:43 1992
***************
*** 26,32 ****
  HDRS=	buf.h monitor.h
  SRCS=	$(SRCS1) $(HDRS)
  
! CFLAGS=	-I$H -O -I../ctlmod
  LINTFLAGS= -huc -I$H -I../ctlmod
  LDFLAGS=
  BIN=	$(INGRES)/bin
--- 26,33 ----
  HDRS=	buf.h monitor.h
  SRCS=	$(SRCS1) $(HDRS)
  
! #CFLAGS=	-O -I$H  -I../ctlmod
! CFLAGS=	-I$H  -I../ctlmod
  LINTFLAGS= -huc -I$H -I../ctlmod
  LDFLAGS=
  BIN=	$(INGRES)/bin
diff -r -c ../ingres.ptf/source/monitor/branch.c source/monitor/branch.c
*** ../ingres.ptf/source/monitor/branch.c	Mon Nov 16 14:38:36 1992
--- source/monitor/branch.c	Mon Oct 19 18:51:06 1992
***************
*** 76,86 ****
  	register char	c;
  
  	smove(label, target);
! 	if (rewind(Input))
! 	{
! 		printf("Cannot branch on a terminal\n");
! 		return (1);
! 	}
  
  	/* search for the label */
  	while ((c = getch()) > 0)
--- 76,87 ----
  	register char	c;
  
  	smove(label, target);
! /*	if (rewind(Input))
!  *	{
!  *		printf("Cannot branch on a terminal\n");
!  *		return (1);
!  *	}
! */
  
  	/* search for the label */
  	while ((c = getch()) > 0)
diff -r -c ../ingres.ptf/source/monitor/buf.c source/monitor/buf.c
*** ../ingres.ptf/source/monitor/buf.c	Mon Nov 16 14:38:36 1992
--- source/monitor/buf.c	Tue Jun  9 13:09:44 1992
***************
*** 203,209 ****
  int	size;
  {
  	register char	*p;
! 	extern int	(*ExitFn)();	/* defined in syserr.c */
  	extern char	*malloc();
  
  	p = malloc(size);
--- 203,209 ----
  int	size;
  {
  	register char	*p;
! 	extern void	(*ExitFn)();	/* defined in syserr.c */
  	extern char	*malloc();
  
  	p = malloc(size);
diff -r -c ../ingres.ptf/source/monitor/clear.c source/monitor/clear.c
*** ../ingres.ptf/source/monitor/clear.c	Mon Nov 16 14:38:37 1992
--- source/monitor/clear.c	Thu Oct  1 11:14:50 1992
***************
*** 16,21 ****
--- 16,22 ----
  */
  
  clear(f)
+     char f;
  {
  	Autoclear = 0;
  
***************
*** 25,30 ****
  	if (Nodayfile >= 0 && f)
  		printf("\07go\n");
  	if (f)
! 		clrline(0);
  	Notnull = 0;
  }
--- 26,31 ----
  	if (Nodayfile >= 0 && f)
  		printf("\07go\n");
  	if (f)
! 		clrline(0);  /* removes '\n' following '\g'etc  */
  	Notnull = 0;
  }
diff -r -c ../ingres.ptf/source/monitor/clrline.c source/monitor/clrline.c
*** ../ingres.ptf/source/monitor/clrline.c	Mon Nov 16 14:38:37 1992
--- source/monitor/clrline.c	Fri Oct  2 15:49:40 1992
***************
*** 32,39 ****
  	Newline = TRUE;
  	/* if char following is a newline, throw it away */
  	c = getch();
! 	Prompt = c == '\n';
! 	if (!Prompt)
  	{
  		ungetc(c, Input);
  	}
--- 32,39 ----
  	Newline = TRUE;
  	/* if char following is a newline, throw it away */
  	c = getch();
! 	Prompt = (c == '\n');
! 	if (!Prompt)              /*  next char != newline K.Okamoto */
  	{
  		ungetc(c, Input);
  	}
diff -r -c ../ingres.ptf/source/monitor/expr.c source/monitor/expr.c
*** ../ingres.ptf/source/monitor/expr.c	Mon Nov 16 14:38:37 1992
--- source/monitor/expr.c	Fri Sep 25 18:05:56 1992
***************
*** 263,269 ****
  
  	  case ' ':
  	  case '\n':
! 	  case '/t':
  	  case '\0':
  		printf("Expression expected: end of expression found.\n");
  		ExprError = TRUE;
--- 263,269 ----
  
  	  case ' ':
  	  case '\n':
! 	  case '\t':
  	  case '\0':
  		printf("Expression expected: end of expression found.\n");
  		ExprError = TRUE;
diff -r -c ../ingres.ptf/source/monitor/getch.c source/monitor/getch.c
*** ../ingres.ptf/source/monitor/getch.c	Mon Nov 16 14:38:37 1992
--- source/monitor/getch.c	Tue Oct  6 15:38:41 1992
***************
*** 11,17 ****
  **  GET CHARACTER
  **
  **	This routine is just a getchar, except it allows a pseudo-
! **	EOF marker.
  */
  
  char
--- 11,17 ----
  **  GET CHARACTER
  **
  **	This routine is just a getchar, except it allows a pseudo-
! **	EOF (i.e. == '\0') marker.
  */
  
  char
***************
*** 20,38 ****
  	register char	c;
  
  	if (GiveEof)
! 		c = '\0';
  	else
  		c = getc(Input);
- 	if (c < 0)
- 		c = '\0';
  
  	/* deliver EOF if newline in Oneline mode */
  	if (c == '\n' && Oneline)
  	{
  		ungetc(c, Input);
  		c = '\0';
! 	}
! 
  	GiveEof = FALSE;
  	return (c);
  }
--- 20,40 ----
  	register char	c;
  
  	if (GiveEof)
! 		c = '\0';           /* stands for EOF  */
  	else
  		c = getc(Input);
  
+         if (c == EOF)               /*  if (c < 0 )   K.Okamoto  */
+ 	    c = '\0';               /*  if really EOF(-1)
+                                         This should be rewrite to permit
+ 					to input 8 bit code  K.Okamoto */
+ 
  	/* deliver EOF if newline in Oneline mode */
  	if (c == '\n' && Oneline)
  	{
  		ungetc(c, Input);
  		c = '\0';
!         }
  	GiveEof = FALSE;
  	return (c);
  }
diff -r -c ../ingres.ptf/source/monitor/go.c source/monitor/go.c
*** ../ingres.ptf/source/monitor/go.c	Mon Nov 16 14:38:37 1992
--- source/monitor/go.c	Mon Sep 28 14:31:39 1992
***************
*** 27,40 ****
  
  jmp_buf		GoJmpBuf;
  
  go()
  {
  	FILE		*iop;
  	auto char	c;
  	register char	*p;
- 	extern int	fgetc();
  	pb_t		pb;
- 	extern char	*macro();
  
  	clrline(1);
  	fflush(Qryiop);
--- 27,42 ----
  
  jmp_buf		GoJmpBuf;
  
+ extern int	fgetc();
+ extern char	*macro();
+ 
+ int
  go()
  {
  	FILE		*iop;
  	auto char	c;
  	register char	*p;
  	pb_t		pb;
  
  	clrline(1);
  	fflush(Qryiop);
diff -r -c ../ingres.ptf/source/monitor/include.c source/monitor/include.c
*** ../ingres.ptf/source/monitor/include.c	Mon Nov 16 14:38:38 1992
--- source/monitor/include.c	Thu Oct  1 16:43:30 1992
***************
*** 21,26 ****
--- 21,29 ----
  **	Prompts are turned off during the include.
  */
  
+ extern char		*getfilenm();
+ 
+ 
  include(filename)
  char	*filename;
  {
***************
*** 28,37 ****
  	FILE			*saveinp;
  	register char		*f;
  	register FILE		*b;
- 	extern char		*getfilenm();
  
  	f = filename;
! 	if (f == 0)
  		f = getfilenm();
  	if (sequal(f, "-"))
  	{
--- 31,39 ----
  	FILE			*saveinp;
  	register char		*f;
  	register FILE		*b;
  
  	f = filename;
! 	if (f == 0)               /* stands for NULL pointer */
  		f = getfilenm();
  	if (sequal(f, "-"))
  	{
diff -r -c ../ingres.ptf/source/monitor/monitor.c source/monitor/monitor.c
*** ../ingres.ptf/source/monitor/monitor.c	Mon Nov 16 14:38:38 1992
--- source/monitor/monitor.c	Tue Oct  6 15:41:25 1992
***************
*** 4,9 ****
--- 4,10 ----
  # include	<signal.h>
  # include	<ctlmod.h>
  # include	<sccs.h>
+ # include       <sys/ioctl.h>      /*  K.Okamoto  */
  
  SCCSID(@(#)monitor.c	8.1	12/31/84)
  
***************
*** 93,116 ****
  	"$trace",	C_SYSTRACE,
  	"$r",		C_SYSRESET,
  	"$reset",	C_SYSRESET,
! 	0
  };
  
  
  monitor(recurs)
! int	recurs;			/* Is this a recursive call? */
  {
  	register char	chr;
! 	int		timevec[2];
  	register int	controlno;
! 	extern jmp_buf	CmReset;
! 	extern		error();
! 	extern char	*Proc_name;
! 	extern int	RubLevel;
! 	extern		rubcatch();
  
  	if ( recurs == FALSE )
! 		setjmp(CmReset);
  	initbuf(Qbuf, QbufSize, ERR_QBUF, error);
  	clrmem(&Ctx, sizeof Ctx);
  	Ctx.ctx_cmark = Ctx.ctx_pmark = markbuf(Qbuf);
--- 94,121 ----
  	"$trace",	C_SYSTRACE,
  	"$r",		C_SYSRESET,
  	"$reset",	C_SYSRESET,
!         0
  };
  
+ extern jmp_buf	CmReset;
+ extern	int	error();
+ extern char	*Proc_name;
+ extern int	RubLevel;
+ extern	void	rubcatch();
  
+ 
+ int
  monitor(recurs)
! bool	recurs;			/* K.Okamoto Is this a recursive call? */
  {
  	register char	chr;
!         time_t          *timevec;
  	register int	controlno;
!         pid_t           pid;
  
  	if ( recurs == FALSE )
! 	  setjmp(CmReset);
! 
  	initbuf(Qbuf, QbufSize, ERR_QBUF, error);
  	clrmem(&Ctx, sizeof Ctx);
  	Ctx.ctx_cmark = Ctx.ctx_pmark = markbuf(Qbuf);
***************
*** 122,130 ****
  
  	while (chr = getch())
  	{
  		if (chr == '\\')
  		{
- 			
  			/*
  			** do not process "\\" as an escape char
  			*/
--- 127,135 ----
  
  	while (chr = getch())
  	{
+ 
  		if (chr == '\\')
  		{
  			/*
  			** do not process "\\" as an escape char
  			*/
***************
*** 205,221 ****
  
  			  case C_MARK:
  				getfilenm();
! 				prompt(0);
  				continue;
  
  			  case C_BRANCH:
  				branch();
! 				prompt(0);
  				continue;
  
  			  case C_SYSTRACE:
  				trace();
! 				prompt(0);
  				continue;
  
  			  case C_SYSRESET:
--- 210,226 ----
  
  			  case C_MARK:
  				getfilenm();
! 				prompt("");
  				continue;
  
  			  case C_BRANCH:
  				branch();
! 				prompt("");
  				continue;
  
  			  case C_SYSTRACE:
  				trace();
! 				prompt("");
  				continue;
  
  			  case C_SYSRESET:
***************
*** 229,235 ****
  		}
  		putch(chr);
  	}
- 
  	if (Input == stdin)
  	{
  		if (Nodayfile >= 0)
--- 234,239 ----
***************
*** 291,297 ****
  		}
  	}
  
! 	*p = 0;
  	return (buf);
  }
  
--- 295,301 ----
  		}
  	}
  
! 	*p = '\0';
  	return (buf);
  }
  
***************
*** 310,318 ****
  		printf("Funny character 0%o converted to blank\n", c);
  		c = ' ';
  	}
! 	prompt(0);
  	if (Autoclear)
! 		clear(0);
! 	putc(c, Qryiop);
  	Notnull++;
  }
--- 314,325 ----
  		printf("Funny character 0%o converted to blank\n", c);
  		c = ' ';
  	}
! 	prompt(0);     /* if Prompt = !GiveEof == TRUE, show prompt and 
! 			  then fflush(stdout).    K.Okamoto      */
  	if (Autoclear)
! 		clear(0);   /* Qbname -->truncated Qryiop, and show 
! 			     prompt 'go'  Autoclear = Notnull = 0,
! 			     K.Okamoto  */
! 	fputc(c, Qryiop);
  	Notnull++;
  }
diff -r -c ../ingres.ptf/source/monitor/monitor.h source/monitor/monitor.h
*** ../ingres.ptf/source/monitor/monitor.h	Mon Nov 16 14:38:39 1992
--- source/monitor/monitor.h	Thu Oct  1 13:29:25 1992
***************
*** 38,44 ****
  int		Xwaitpid;	/* pid to wait on - zero means none */
  int		Error_id;	/* the error number of the last err */
  
! /* \include support stuff */
  FILE		*Input;		/* current input file */
  int		Idepth;		/* include depth */
  char		Oneline;	/* deliver EOF after one line input */
--- 38,44 ----
  int		Xwaitpid;	/* pid to wait on - zero means none */
  int		Error_id;	/* the error number of the last err */
  
! /* include support stuff */
  FILE		*Input;		/* current input file */
  int		Idepth;		/* include depth */
  char		Oneline;	/* deliver EOF after one line input */
diff -r -c ../ingres.ptf/source/monitor/prompt.c source/monitor/prompt.c
*** ../ingres.ptf/source/monitor/prompt.c	Mon Nov 16 14:38:38 1992
--- source/monitor/prompt.c	Mon Sep 28 15:45:08 1992
***************
*** 19,25 ****
  */
  
  prompt(msg)
! char	*msg;
  {
  	if (!Prompt || GiveEof)
  		return;
--- 19,25 ----
  */
  
  prompt(msg)
!     char	*msg;
  {
  	if (!Prompt || GiveEof)
  		return;
diff -r -c ../ingres.ptf/source/monitor/quit.c source/monitor/quit.c
*** ../ingres.ptf/source/monitor/quit.c	Mon Nov 16 14:38:38 1992
--- source/monitor/quit.c	Mon Oct 19 18:51:06 1992
***************
*** 40,45 ****
--- 40,53 ----
  	"alarm",
  };
  
+ extern void	(*ExitFn)();
+ extern void	exit();
+ extern int	sys_nerr;
+ extern char	*sys_errlist[];
+ extern char	SysIdent[];
+ 
+ 
+ void
  quit()
  {
  	register int	ndx;
***************
*** 48,59 ****
  	char		buf[100];
  	int		status;
  	int		pidlist[50];
- 	extern int	(*ExitFn)();
- 	extern		exit();
- 	extern int	sys_nerr;
- 	extern char	*sys_errlist[];
  	char		indexx[0400];
- 	extern char	SysIdent[];
  
  #	ifdef xMTR1
  	if (tTf(35, -1))
--- 56,62 ----
Only in source/monitor: test.c
Only in source/monitor: test1.c
diff -r -c ../ingres.ptf/source/monitor/ttymon.c source/monitor/ttymon.c
*** ../ingres.ptf/source/monitor/ttymon.c	Mon Nov 16 14:38:39 1992
--- source/monitor/ttymon.c	Tue Oct  6 14:52:49 1992
***************
*** 48,58 ****
  **		11 (proc_err)
  */
  
! extern char	*Usercode;
! extern		tm_mon();
! extern		tm_init();
! extern		tm_intr();
  short		tTttymon[100];
  
  struct fn_def	TtyMonFn =
  {
--- 48,66 ----
  **		11 (proc_err)
  */
  
! extern  char	*Usercode;
! int	tm_mon();
! void	tm_init();
! void	tm_intr();
! extern	void	quit();
! extern  void	(*ExitFn)();
! extern  char	*getufield();
! extern  char	*mcall();
  short		tTttymon[100];
+ extern  int	Equel;
+ extern  jmp_buf	CmReset;
+ extern  jmp_buf	GoJmpBuf;
+ extern  char	SysIdent[];
  
  struct fn_def	TtyMonFn =
  {
***************
*** 68,73 ****
--- 76,84 ----
  	0
  };
  
+ struct sgttyb gttydummy;      /*  K.Okamoto  */
+ 
+ void
  tm_init(argc, argv)
  int	argc;
  char	*argv[];
***************
*** 74,86 ****
  {
  	register int	ndx;
  	register char	*p;
- 	extern		quit();
- 	extern int	(*ExitFn)();
- 	extern int	Equel;
  	char		buff[100];
- 	extern char	*getufield();
- 	extern jmp_buf	CmReset;
- 	extern char	SysIdent[];
  
  
  	/* insure that permissions are ok */
--- 85,91 ----
***************
*** 92,99 ****
  	setjmp(CmReset);
  	signal(SIGPIPE, quit);
  
! 	ExitFn = quit;
! 	set_si_buf();
  
  	/* process arguments */
  	if (!setflag(argv, 'd', 1))
--- 97,104 ----
  	setjmp(CmReset);
  	signal(SIGPIPE, quit);
  
! 	ExitFn = quit;       /*  this points the exit function as quit() in this file  */
! 	set_si_buf();        /*  set stdin buffered  */
  
  	/* process arguments */
  	if (!setflag(argv, 'd', 1))
***************
*** 112,118 ****
  		time(buff);
  		printf("%s login\n%s", SysIdent, ctime(buff));
  	}
! 	if (Nodayfile == 0 && (Qryiop = fopen(ztack(ztack(Pathname, "/files/dayfile"), VERSION), "r")) != NULL)
  	{
  		while ((ndx = getc(Qryiop)) > 0)
  			putchar(ndx);
--- 117,123 ----
  		time(buff);
  		printf("%s login\n%s", SysIdent, ctime(buff));
  	}
! 	if (Nodayfile == 0 && (Qryiop = fopen((char *)ztack(ztack(Pathname, "/files/dayfile"), VERSION), "r")) != NULL)
  	{
  		while ((ndx = getc(Qryiop)) > 0)
  			putchar(ndx);
***************
*** 149,155 ****
  	/*
  	**  Get user input from terminal
  	**
! 	**	THIS CODE IS A CLUDGE!!!
  	**
  	**	This code should return right after the setbuf call,
  	**	but it doesn't because we want the monitor to be in
--- 154,160 ----
  	/*
  	**  Get user input from terminal
  	**
! 	**	THIS CODE IS A KLUDGE!!!
  	**
  	**	This code should return right after the setbuf call,
  	**	but it doesn't because we want the monitor to be in
***************
*** 159,165 ****
  	*/
  
  	Input = stdin;
! 	setbuf(stdin, NULL);
  	monitor(FALSE);
  	quit();
  }
--- 164,170 ----
  	*/
  
  	Input = stdin;
! 	setbuf(stdin, NULL);   /* set stdin non-buffered */
  	monitor(FALSE);
  	quit();
  }
***************
*** 171,176 ****
--- 176,182 ----
  **	Uses trace flag 10
  */
  
+ void
  tm_intr(typ)
  int	typ;
  {
***************
*** 182,188 ****
  	if (Xwaitpid == 0)
  		printf("\nInterrupt\n");
  
! 	lseek(stdin->_file, 0L, 2);
  	Newline = Prompt = TRUE;
  	Nodayfile = Userdflag;
  	Oneline = FALSE;
--- 188,194 ----
  	if (Xwaitpid == 0)
  		printf("\nInterrupt\n");
  
! 	lseek(stdin->_file, 0L, SEEK_END);
  	Newline = Prompt = TRUE;
  	Nodayfile = Userdflag;
  	Oneline = FALSE;
***************
*** 209,214 ****
--- 215,221 ----
  **		30
  */
  
+ int
  proc_err(ppb, pc, pv)
  pb_t	*ppb;
  int	pc;
***************
*** 221,229 ****
  	int		err;
  	FILE		*iop;
  	char		*errfilen();
- 	extern char	*mcall();
  	bool		fatal;
- 	extern jmp_buf	GoJmpBuf;
  
  	if (pc <= 0 || pv[0].pv_type != PV_INT)
  		syserr("proc_err: pc %d pv0type %d", pc, pv[0].pv_type);
--- 228,234 ----
***************
*** 275,281 ****
  			}
  			*p++ = c;
  		}
! 		*p = 0;
  		i = atoi(buf);
  
  		if (i != err)
--- 280,286 ----
  			}
  			*p++ = c;
  		}
! 		*p = '\0';
  		i = atoi(buf);
  
  		if (i != err)
diff -r -c ../ingres.ptf/source/ovqp/Makefile source/ovqp/Makefile
*** ../ingres.ptf/source/ovqp/Makefile	Mon Nov 16 14:38:54 1992
--- source/ovqp/Makefile	Wed Sep 23 16:10:18 1992
***************
*** 10,17 ****
  
  CFLAGS=	-O -I$H
  LINTFLAGS= -huc -I$H
! AR=	-ar
! ARFLAGS=rvu
  RANLIB=	ranlib
  LDFLAGS=
  CP=	cp
--- 10,17 ----
  
  CFLAGS=	-O -I$H
  LINTFLAGS= -huc -I$H
! AR=	ar
! ARFLAGS=-rvu
  RANLIB=	ranlib
  LDFLAGS=
  CP=	cp
diff -r -c ../ingres.ptf/source/ovqp/findsimps.c source/ovqp/findsimps.c
*** ../ingres.ptf/source/ovqp/findsimps.c	Mon Nov 16 14:38:54 1992
--- source/ovqp/findsimps.c	Thu Jun  4 13:47:28 1992
***************
*** 277,284 ****
  */
  
  struct symbol 
! *cpsym(const, len, op)
! struct symbol	*const;
  int		len;
  int		op;
  {
--- 277,284 ----
  */
  
  struct symbol 
! *cpsym(constv, len, op)
! struct symbol	*constv;
  int		len;
  int		op;
  {
***************
*** 294,300 ****
  		need(De.ov_ovqpbuf, op == opLTLE ? i + SYMOFF+1 : i + SYMOFF);
  	s->type = CHAR;
  	sp = s->value.sym_data.c0type;
! 	cp = const->value.sym_data.c0type;
  
  	while (i--)
  	{
--- 294,300 ----
  		need(De.ov_ovqpbuf, op == opLTLE ? i + SYMOFF+1 : i + SYMOFF);
  	s->type = CHAR;
  	sp = s->value.sym_data.c0type;
! 	cp = constv->value.sym_data.c0type;
  
  	while (i--)
  	{
***************
*** 349,356 ****
  **	TRUE else return FALSE
  */
  
! add_simp(const, rel, attno)
! struct symbol	*const;
  int		rel;
  int		attno;
  {
--- 349,356 ----
  **	TRUE else return FALSE
  */
  
! add_simp(constv, rel, attno)
! struct symbol	*constv;
  int		rel;
  int		attno;
  {
***************
*** 362,368 ****
  	s = &De.ov_simp[De.ov_nsimp++];
  
  	s->att = attno;
! 	s->const = const;
  	s->relop = rel;
  
  #	ifdef xOTR1
--- 362,368 ----
  	s = &De.ov_simp[De.ov_nsimp++];
  
  	s->att = attno;
! 	s->constv = constv;
  	s->relop = rel;
  
  #	ifdef xOTR1
***************
*** 382,387 ****
  
  	s = ss;
  	printf("simp:relop=%d,att=%d,val=", s->relop, s->att);
! 	prsym(s->const);
  #	endif
  }
--- 382,387 ----
  
  	s = ss;
  	printf("simp:relop=%d,att=%d,val=", s->relop, s->att);
! 	prsym(s->constv);
  #	endif
  }
diff -r -c ../ingres.ptf/source/ovqp/key.c source/ovqp/key.c
*** ../ingres.ptf/source/ovqp/key.c	Mon Nov 16 14:38:55 1992
--- source/ovqp/key.c	Thu Jun  4 13:48:15 1992
***************
*** 52,58 ****
  			{
  				if (s->relop == opEQ && s->att == d)
  				{
! 					k->keysym = s->const;
  					k->dnumber = (a->sec_index == TRUE) ? i+1 : d;
  					k++;
  #					ifdef xOTR1
--- 52,58 ----
  			{
  				if (s->relop == opEQ && s->att == d)
  				{
! 					k->keysym = s->constv;
  					k->dnumber = (a->sec_index == TRUE) ? i+1 : d;
  					k++;
  #					ifdef xOTR1
***************
*** 59,65 ****
  					if (tTf(85, 1))
  					{
  						printf("exact key on dom %d\tvalue=", d);
! 						prsym(s->const);
  					}
  #					endif
  					break;
--- 59,65 ----
  					if (tTf(85, 1))
  					{
  						printf("exact key on dom %d\tvalue=", d);
! 						prsym(s->constv);
  					}
  #					endif
  					break;
***************
*** 123,129 ****
  			{
  				if (s->relop == opEQ || s->relop == opGTGE)
  				{
! 					l->keysym = s->const;
  					l->dnumber = s->att;
  					if (s->relop == opEQ)
  					{
--- 123,129 ----
  			{
  				if (s->relop == opEQ || s->relop == opGTGE)
  				{
! 					l->keysym = s->constv;
  					l->dnumber = s->att;
  					if (s->relop == opEQ)
  					{
***************
*** 139,145 ****
  				}
  				if (s->relop == opLTLE)
  				{
! 					h->keysym = s->const;
  					h->dnumber = s->att;
  					h++;
  					if (i == -1)
--- 139,145 ----
  				}
  				if (s->relop == opLTLE)
  				{
! 					h->keysym = s->constv;
  					h->dnumber = s->att;
  					h++;
  					if (i == -1)
***************
*** 234,240 ****
  						if (tTf(85, 6))
  							printf("low key on dom %d\t", d);
  #						endif
! 						low->keysym = s->const;
  						low->dnumber = sec_indx ? i+1 : d;
  						low++;
  					}
--- 234,240 ----
  						if (tTf(85, 6))
  							printf("low key on dom %d\t", d);
  #						endif
! 						low->keysym = s->constv;
  						low->dnumber = sec_indx ? i+1 : d;
  						low++;
  					}
***************
*** 245,257 ****
  						if  (tTf(85, 6))
  							printf("high key on dom %d\t", d);
  #						endif
! 						high->keysym = s->const;
  						high->dnumber = sec_indx ? i+1 : d;
  						high++;
  					}
  #					ifdef xOTR1
  					if (tTf(85, 6))
! 						prsym(s->const);
  #					endif
  					if (i == 0)
  						success = TRUE;
--- 245,257 ----
  						if  (tTf(85, 6))
  							printf("high key on dom %d\t", d);
  #						endif
! 						high->keysym = s->constv;
  						high->dnumber = sec_indx ? i+1 : d;
  						high++;
  					}
  #					ifdef xOTR1
  					if (tTf(85, 6))
! 						prsym(s->constv);
  #					endif
  					if (i == 0)
  						success = TRUE;
diff -r -c ../ingres.ptf/source/ovqp/startovqp.c source/ovqp/startovqp.c
*** ../ingres.ptf/source/ovqp/startovqp.c	Mon Nov 16 14:38:54 1992
--- source/ovqp/startovqp.c	Thu Sep 10 18:54:49 1992
***************
*** 20,26 ****
  
  startovqp()
  {
! 	extern	flptexcep();
  
  	if (Equel)
  		startequel();
--- 20,26 ----
  
  startovqp()
  {
!         extern	void   flptexcep();
  
  	if (Equel)
  		startequel();
***************
*** 28,39 ****
  	De.ov_tupsfound = 0;	/* counts the number of tuples which sat the qual */
  	De.ov_retrieve = De.ov_bopen = FALSE;
  	/* catch floating point signals */
! 	signal(SIGFPE, (int) flptexcep);
  }
  
  /*
  **	Give a user error for a floating point exceptions
  */
  flptexcep()
  {
  	ov_err(FLOATEXCEP);
--- 28,40 ----
  	De.ov_tupsfound = 0;	/* counts the number of tuples which sat the qual */
  	De.ov_retrieve = De.ov_bopen = FALSE;
  	/* catch floating point signals */
! 	signal(SIGFPE,  flptexcep);
  }
  
  /*
  **	Give a user error for a floating point exceptions
  */
+ void
  flptexcep()
  {
  	ov_err(FLOATEXCEP);
***************
*** 41,46 ****
--- 42,48 ----
  
  /* Someone here in Berkeley thinks this is a good idea. */
  /* See 4.3 man 3m intro */
+ /*      temporaly deleted by K.Okamoto because of gcc 1.39's double
  double
  infnan(arg)
  register arg;
***************
*** 60,62 ****
--- 62,66 ----
  		return(0.0);
  	}
  }
+ -----------------temporaly deleted-------
+ */
\ No newline at end of file
diff -r -c ../ingres.ptf/source/parser/Makefile source/parser/Makefile
*** ../ingres.ptf/source/parser/Makefile	Mon Nov 16 14:38:56 1992
--- source/parser/Makefile	Mon Oct 19 19:20:06 1992
***************
*** 31,37 ****
  LIBS=	$(IUTIL) $(GUTIL)
  
  YFLAGS= 
! CFLAGS=	-O -I$H
  LINTFLAGS= -huc -I$H
  LDFLAGS=
  AR=	-ar
--- 31,37 ----
  LIBS=	$(IUTIL) $(GUTIL)
  
  YFLAGS= 
! CFLAGS=	-O -I$H  -DDISTRIB
  LINTFLAGS= -huc -I$H
  LDFLAGS=
  AR=	-ar
***************
*** 60,70 ****
  	$(CP) parlib $(LIB)/parser
  	$(RANLIB) $(LIB)/parser
  
  grammar.c: grammar.y
! 	grep -v "DDD" grammar.y > grammar.z
! 	$(YACC) $(YFLAGS) grammar.z
  	mv y.tab.c grammar.c
- 	rm -f grammar.z
  
  grammar.o: tables.y yyerror.y scanner.h parser.h
  
--- 60,76 ----
  	$(CP) parlib $(LIB)/parser
  	$(RANLIB) $(LIB)/parser
  
+ #for non-distributed database
+ #grammar.c: grammar.y
+ #	grep -v "DDD" grammar.y > grammar.z
+ #	$(YACC) $(YFLAGS) grammar.z
+ #	mv y.tab.c grammar.c
+ #	rm -f grammar.z
+ 
+ #for distributed database
  grammar.c: grammar.y
! 	$(YACC) $(YFLAGS) grammar.y
  	mv y.tab.c grammar.c
  
  grammar.o: tables.y yyerror.y scanner.h parser.h
  
diff -r -c ../ingres.ptf/source/parser/att_fcn.c source/parser/att_fcn.c
*** ../ingres.ptf/source/parser/att_fcn.c	Mon Nov 16 14:38:56 1992
--- source/parser/att_fcn.c	Thu Sep 17 19:24:07 1992
***************
*** 18,24 ****
  	0,	INT,	4,	"tid",	0
  };
  #ifdef	DISTRIB
! struct atstash	Fakesid
  {
  	0,	INT,	4,	"sid",	0
  };
--- 18,24 ----
  	0,	INT,	4,	"tid",	0
  };
  #ifdef	DISTRIB
! struct atstash	Fakesid =
  {
  	0,	INT,	4,	"sid",	0
  };
diff -r -c ../ingres.ptf/source/parser/control.c source/parser/control.c
*** ../ingres.ptf/source/parser/control.c	Mon Nov 16 14:38:57 1992
--- source/parser/control.c	Tue Sep 15 18:38:08 1992
***************
*** 333,339 ****
  startgo()
  {
  	extern int	Err_fnd;
! 	extern int	Ing_err;
  	extern int	yyline;
  
  #	ifdef	xPTR3
--- 333,339 ----
  startgo()
  {
  	extern int	Err_fnd;
! 	extern int	Ingerr;
  	extern int	yyline;
  
  #	ifdef	xPTR3
***************
*** 368,373 ****
--- 368,375 ----
  
  endgo()
  {
+ 	extern int	Equel;
+ 	extern int	Err_fnd;
  #	ifdef	xPTR3
  	tTfp(48, 12, "endgo\n");
  #	endif
